[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DoStartDock

Signals the OnStartDock event handler.

## Declaration

Source position: controls.pp line 1471

`protected procedure TControl.DoStartDock(`
`var DragObject: TDragObject`
`); virtual;`

## Arguments

`DragObject` |  | Object instance (TDragObject) for the event notification.

## See also

TControl.OnStartDock |  | Event handler for the start of a docking operation.
TDragObject |  | Base class for managing drag operations and user feedback.